Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# dWorldTest.cpp File Reference

`#include <cstdio>`
`#include <cmath>`
`#include <crtdbg.h>`
`#include <windows.h>`
`#include <ZMouse.h>`
`#include "Destiny3D.hpp"`
`#include "de2D.hpp"`
`#include "deAnimatedMesh.hpp"`
`#include "deBitmap.hpp"`
`#include "deBrush.hpp"`
`#include "deCamera.hpp"`
`#include "deConsole.hpp"`
`#include "deDriver.hpp"`
`#include "deFile.hpp"`
`#include "deFileSystem.hpp"`
`#include "deFont.hpp"`
`#include "deFunctors.hpp"`
`#include "deIDServer.hpp"`
`#include "deLine.hpp"`
`#include "deList.hpp"`
`#include "deMachine.hpp"`
`#include "deMath.hpp"`
`#include "deMesh.hpp"`
`#include "deMeshOpt.hpp"`
`#include "dePortal.hpp"`
`#include "deProfile.hpp"`
`#include "deRedBlack.hpp"`
`#include "deRender.hpp"`
`#include "deResource_Helper.hpp"`
`#include "deRenderStates.hpp"`
`#include "deScene.hpp"`
`#include "deSound.hpp"`
`#include "deString.hpp"`
`#include "deWorld.hpp"`
`#include "deThread.hpp"`
`#include "deByteOrder.hpp"`
`#include "ResPicker.hpp"`

Include dependency graph for dWorldTest.cpp:

## Compounds
class | CTestResource
struct | dostuff_t
struct | ThreadTest_t
## Defines
#define | DRIVER_NAME ("Direct3D9")
#define | ONE_CAM (1)
#define | TEST_WORLD (0)
#define | TEST_WORLD_LOAD (!TEST_WORLD && 0)
#define | WINDOW_WIDTH (800)
#define | WINDOW_HEIGHT (600)
#define | VIEW_WIDTH (800)
#define | VIEW_HEIGHT (600)
#define | VIEW_FOV (90)
#define | VIEW_FULLSCREEN (0)
#define | VIEW_ADAPTER (0)
#define | VIEW_ASPECT (4.0/3.0)
#define | BRUSH_IDENT (c)
#define | FRAMESCOUNTED (50)
#define | FOGCOLOR (0x00404080)
#define | FAST_KEYS (1)
#define | FPS_CAMERA (1)
#define | RENDER_TEXTURE (0)
#define | RENDER_SIZE (256)
#define | TEST_DOT3 (0)
#define | TEST_COLLISION (0)
#define | TEST_XLOADER (0)
#define | TEST_TPORTAL (0)
#define | TEST_SKY (1)
#define | TEST_CUBEMAP (0)
#define | TEST_Q3LOADER (0)
#define | TEST_TERRAIN (1)
#define | TEST_ABT (0)
#define | TEST_SOUND (0)
## Functions
void | CheckMouse ()
LRESULT CALLBACK | WndProc (HWND hwnd, UINT message, WPARAM wParam, LPARAM lParam)
HWND | CreateNewWindow (HINSTANCE hInstance)
void | MoveNewWindow (HWND hWnd, int x, int y)
IdeResourceBase * | MakeTest (const char *filename, IdeFile *, deBoolean)
int | fib_helper (int num, int &prev)
int | fibonacci (int num)
bool | InitEngine ()
bool | InitDisplay (HINSTANCE hInstance)
bool | InitData ()
bool | TestStuff_1 ()
bool | TestStuff_2 ()
int WINAPI | WinMain (HINSTANCE hInstance, HINSTANCE, PSTR, int)
u32 | ThreadFunc (void *param)
## Variables
const double | piover180 = 0.0174532925
HWND | WindowHandle
int | FillVal
int | CullVal
deVec3d | m_vPosition
deVec3d | m_vForward
deVec3d | m_vLeft
float | m_fRotation
BOOL | m_bMouseMove
int | m_Wireframe
POINT | m_ptMouse
POINT | m_ptOffset
POINT | m_ptDelta
POINT | m_StartMove
deVec3d | m_CamRotation = {0,0,0}
deFloat | m_SpeedMultiplier = 1
IDestiny3DFactory * | m_pDe3DFactory = NULL
IdeCamera * | m_Cam
IdeCamera * | m_Cam2
IdeWorldManager * | m_pWorldManager
deWorldID | m_WorldID
IdeWorld * | m_pWorld
IdeRender * | m_pRender
IdeSceneGraph * | pSG = NULL
IdeAnimatedMesh * | m_pMD2 = NULL
IdeSceneTerrain * | m_pTerrain = NULL
IdeSceneRoom * | m_pRoom = NULL
int | m_LOD1
int | m_LOD2
bool | m_SetLOD = false
bool | m_bReset = false
bool | m_bLostFocus = false
IdeSceneObject * | m_pCylinder = NULL
Ide2DCollection * | _2D = NULL
IdeDriver * | m_pDriver
IdeFont * | Font = NULL
double | TotalTime = 0
double | FramesTime = 0
double | FrameTime = 0
unsigned int | TotalFrames = 0
IdeRender::deRenderStats | RenderStats
deResPicker * | m_ResPicker = NULL

## Define Documentation

#define BRUSH_IDENT (c)

#define DRIVER_NAME ("Direct3D9")

#define FAST_KEYS (1)

#define FOGCOLOR (0x00404080)

#define FPS_CAMERA (1)

#define FRAMESCOUNTED (50)

#define ONE_CAM (1)

#define RENDER_SIZE (256)

#define RENDER_TEXTURE (0)

#define TEST_ABT (0)

#define TEST_COLLISION (0)

#define TEST_CUBEMAP (0)

#define TEST_DOT3 (0)

#define TEST_Q3LOADER (0)

#define TEST_SKY (1)

#define TEST_SOUND (0)

#define TEST_TERRAIN (1)

#define TEST_TPORTAL (0)

#define TEST_WORLD (0)

#define TEST_WORLD_LOAD (!TEST_WORLD && 0)

#define TEST_XLOADER (0)

#define VIEW_ADAPTER (0)

#define VIEW_ASPECT (4.0/3.0)

#define VIEW_FOV (90)

#define VIEW_FULLSCREEN (0)

#define VIEW_HEIGHT (600)

#define VIEW_WIDTH (800)

#define WINDOW_HEIGHT (600)

#define WINDOW_WIDTH (800)

## Function Documentation

void CheckMouse | ( |  | ) |

HWND CreateNewWindow | ( | HINSTANCE | hInstance | ) |

int fib_helper | ( | int | num,
|  | int & | prev
| ) |

int fibonacci | ( | int | num | ) |

bool InitData | ( |  | ) |

bool InitDisplay | ( | HINSTANCE | hInstance | ) |

bool InitEngine | ( |  | ) |

IdeResourceBase* MakeTest | ( | const char * | filename,
|  | IdeFile * | ,
|  | deBoolean |
| ) |

void MoveNewWindow | ( | HWND | hWnd,
|  | int | x,
|  | int | y
| ) |

bool TestStuff_1 | ( |  | ) |

bool TestStuff_2 | ( |  | ) |

u32 ThreadFunc | ( | void * | param | ) |

int WINAPI WinMain | ( | HINSTANCE | hInstance,
|  | HINSTANCE | ,
|  | PSTR | ,
|  | int |
| ) |

LRESULT CALLBACK WndProc | ( | HWND | hwnd,
|  | UINT | message,
|  | WPARAM | wParam,
|  | LPARAM | lParam
| ) |

## Variable Documentation

Ide2DCollection* _2D = NULL

int CullVal

int FillVal

IdeFont* Font = NULL

double FramesTime = 0

double FrameTime = 0

bool m_bLostFocus = false

BOOL m_bMouseMove

bool m_bReset = false

IdeCamera* m_Cam

IdeCamera * m_Cam2

deVec3d m_CamRotation = {0,0,0}

float m_fRotation

int m_LOD1

int m_LOD2

IdeSceneObject* m_pCylinder = NULL

IDestiny3DFactory* m_pDe3DFactory = NULL

IdeDriver* m_pDriver

IdeAnimatedMesh* m_pMD2 = NULL

IdeRender* m_pRender

IdeSceneRoom* m_pRoom = NULL

POINT m_ptDelta

IdeSceneTerrain* m_pTerrain = NULL

POINT m_ptMouse

POINT m_ptOffset

IdeWorld* m_pWorld

IdeWorldManager* m_pWorldManager

deResPicker* m_ResPicker = NULL

bool m_SetLOD = false

deFloat m_SpeedMultiplier = 1

POINT m_StartMove

deVec3d m_vForward

deVec3d m_vLeft

deVec3d m_vPosition

int m_Wireframe

deWorldID m_WorldID

const double piover180 = 0.0174532925

IdeSceneGraph* pSG = NULL

IdeRender::deRenderStats RenderStats

unsigned int TotalFrames = 0

double TotalTime = 0

HWND WindowHandle